<?php

namespace Litecms\Enquiry\Actions;

use Illuminate\Http\Request;
use Litecms\Enquiry\Models\Cost;
use Litepie\Actions\Concerns\AsAction;
use Illuminate\Support\Str;

class CostReport
{
    use AsAction;

    private $model;

    public function handle(Request $request, string $report)
    {
        $this->model = app(Cost::class);
        $function = Str::camel($report);
        return $this->$function();
    }
    
    public function sample(Request $request)
    {
        return $request;
    }

}
