<?php

namespace Litecms\Enquiry;

use Litecms\Enquiry\Models\Enquiry;
use Litecms\Enquiry\Models\Cost;

use User;

class Enquiries
{
    /**
     * $enquiry object.
     */
    protected $enquiry;

    /**
     * $cost object.
     */
    protected $cost;

    /**
     * Constructor.
     */
    public function __construct()
    {
        $this->enquiry = app(Enquiry::class);
        $this->cost = app(Cost::class);
    }

    /**
     * Returns count of enquiry.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Find enquiry by slug.
     *
     * @param array $filter
     *
     * @return int
     */
    public function enquiry($slug)
    {
        return  $this->enquiry
            ->findBySlug($slig)
            ->toArray();
    }
}
