<?php

namespace Litecms\Enquiry\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Litecms\Enquiry\Models\Cost;

class CostWorkflow
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $transition,
        public Cost $cost,
        public array $request = [],
        public string $when = 'after'
    ) {
    }
}
