<?php

namespace Litecms\Enquiry\Http\Requests;

use Litepie\Http\Request\AbstractRequest;
use Litecms\Enquiry\Models\Cost;

class CostActionsRequest extends AbstractRequest
{

    /* Model for the current request.
     *
     * @var array
     */
    protected $action;

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        $this->model = app(Cost::class);

        $this->action = $this->getAction();
        // Determine if the user is authorized to perform the action.
        return $this->can($this->action);

    }



}
