<?php

namespace Litecms\Enquiry\Providers;

use Litepie\Foundation\Support\Providers\ActionServiceProvider as ServiceProvider;

class ActionServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function actions()
    {
        return [
            \Litecms\Enquiry\Models\Enquiry::class
                 => config('litecms.enquiry.enquiry.actions')        \Litecms\Enquiry\Models\Cost::class
                 => config('litecms.enquiry.cost.actions')
            ];
    }

}
