<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsEnquiryCostsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_enquiry_costs
         */
        Schema::create('litecms_enquiry_costs', function ($table) {
            $table->increments('id');
            $table->date('month')->nullable();
            $table->string('source', 50)->nullable();
            $table->string('description', 1000)->nullable();
            $table->integer('amount')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_enquiry_costs');
    }
}
