<?php


namespace Litecms\Enquiry\Actions;

use Illuminate\Http\Request;
use Illuminate\Support\Str;
use Litecms\Enquiry\Models\Enquiry;
use Litepie\Actions\Concerns\AsAction;

class EnquiryExim
{
    use AsAction;

    private $model;

    public function handle(Request $request, string $exim)
    {
        $this->model = app(Enquiry::class);
        $function = Str::camel($exim);
        return $this->$function($request);
    }

    public function import(Request $request)
    {
        return $this->model;
    }

    public function export(Request $request)
    {
        return $this->model;
    }

}
