<?php

namespace Litecms\Enquiry\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Litecms\Enquiry\Models\Enquiry;

class EnquiryAction
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $action,
        public Enquiry $enquiry,
        public array $request = [],
        public string $when = 'after'
    ) {}
}
