<?php

namespace Litecms\Enquiry\Providers;

use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function workflows()
    {
        return [
            \Litecms\Enquiry\Models\Enquiry::class 
                => config('litecms.enquiry.enquiry.workflow')        \Litecms\Enquiry\Models\Cost::class 
                => config('litecms.enquiry.cost.workflow')
            ];
    }

}
